View Issue Details

IDProjectCategoryView StatusLast Update
12406Bug reports[All Projects] Data Entry (non public)public2018-06-15 14:27
ReporterpheissAssigned Todominikvitt 
PrioritylowSeverityminor 
Status closedResolutionfixed 
Product Version2.64.x 
Target VersionFixed in Version3.8.x 
Summary12406: Group filter selection gets lost after deleting a question from the question list
Description

The group filter loses its selection after selecting a group and deleting a question from the group (see attached screenshot).

Steps To Reproduce
  1. Login as LimeSurvey admin
  2. Select a disabled survey which contains more than 1 question group
  3. Click on "List question"
  4. Select a group in the "group" dropdown to filter the list
  5. Delete a question by clicking on one of the trash-icons in the list
  6. Error: The group is no longer selected and all questions are listed again

-> To manually fix this you have to select the group again which can be very annoying, if you want to delete more than only one question

TagsNo tags attached.
Complete LimeSurvey version number (& build)2.64.4+170330
I will donate to the project if issue is resolvedYes
BrowserAll
Database & DB-VersionMySQL (not relavant)
Server OS (if known)Linux (not relavant)
Webserver software & version (if known)Apache (not relavant)
PHP Version7 (not relavant)

Activities

pheiss

pheiss

2017-05-17 13:55

reporter  

filter_list.png (87,944 bytes)
filter_list.png (87,944 bytes)
guest

guest

2018-05-30 12:07

viewer   ~47917

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27274

c_schmitz

c_schmitz

2018-06-15 14:27

administrator   ~48149

New version released.

Related Changesets

LimeSurvey: master 709440da

2018-05-30 11:56:37

Dominik Vitt

Details Diff
Fixed issue 12406: Group filter selection gets lost after deleting a question from the question list Affected Issues
12406
mod - application/controllers/admin/questions.php Diff File
mod - application/models/Question.php Diff File

Issue History

Date Modified Username Field Change
2017-05-17 13:55 pheiss New Issue
2017-05-17 13:55 pheiss File Added: filter_list.png
2018-05-23 12:11 LouisGac Assigned To => LouisGac
2018-05-23 12:11 LouisGac Status new => assigned
2018-05-23 12:45 LouisGac Assigned To LouisGac => dominikvitt
2018-05-23 12:45 LouisGac Priority none => low
2018-05-30 12:07 Changeset attached => LimeSurvey master 709440da
2018-05-30 12:07 guest Note Added: 47917
2018-05-30 12:07 guest Resolution open => fixed
2018-05-30 12:51 dominikvitt Status assigned => resolved
2018-05-30 12:51 dominikvitt Fixed in Version => 3.8.x
2018-06-15 14:27 c_schmitz Note Added: 48149
2018-06-15 14:27 c_schmitz Status resolved => closed